module CollectionsHelper

  ##
  # x objetos educacionais
  def collection_length(collection)
    "#{collection.learning_objects.count} objetos educacionais nessa coleção"
  end

  def end_of_column_collection(index)
    index % 3 == 0
  end

  def render_collection_objects(learning_objects = [])
    columns = 3
    objects_per_column = (learning_objects.length / columns).ceil

    for i in columns
      content_tag :div, class: 'col-md-4' do
        for j in objects_per_column
          learning_object = learning_objects.pop
          render learning_object, orientation: "horizontal" unless learning_object.nil?
        end
      end
    end
  end

end