class CreateUserBookmarksService
  include RepositoriesProxy

  def after_commit(user)
    after_create user
  end

  def after_create(user)
    collection_repository.create_bookmarks_collection user
  end

  def after_destroy(user)
    collection_repository.destroy_bookmarks_collection user
  end

end