# This class represents an item of ranking
class Ranking::Item
  # name = name of object
  # views = view count
  # downloads = download count
  # likes = like count
  # info = just for convinience of sorting it together, won't be touched
  attr_accessor :name, :views, :downloads, :likes, :info

  def initialize(name, views = 0, downloads = 0, likes = 0, info = nil)
    @name = name
    @views = views
    @downloads = downloads
    @likes = likes
    @info = info
  end

end